Source: glibc
Version: 2.31-0experimental0
Severity: normal
User: debian-sp...@lists.debian.org
Usertags: sparc64

Hello!

With glibc 2.31, the number of testsuite failures has dropped to just three
failures on sparc64:

FAIL: nptl/tst-cond8-static
FAIL: nptl/tst-mutex8-static
FAIL: nptl/tst-mutexpi8-static

I have reported these failures upstream [1, 2].

Since 2.31 seems to be a big improvement on sparc64, can you disable these
three tests so that we can quickly enable 2.31 on sparc64? 2.30 seems to be
broken on sparc64, unfortunately, as it already causes segfaults during
installation:

Setting up libc6:sparc64 (2.30-2) ...
dpkg: error processing package libc6:sparc64 (--configure):
 installed libc6:sparc64 package post-installation script subprocess was killed 
by signal (Segmentation fault)
Errors were encountered while processing:
 libc6:sparc64
E: Sub-process /usr/bin/dpkg returned an error code (1)
apt-get failed.
E: Package installation failed

Thanks,
Adrian

> [1] https://sourceware.org/bugzilla/show_bug.cgi?id=25671
> [2] https://sourceware.org/bugzilla/show_bug.cgi?id=25672

--
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaub...@debian.org
`. `'   Freie Universitaet Berlin - glaub...@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913

Reply via email to